unit ulinesearch_quad;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils; 

function evaluar(x: NReal): NReal;

implementation

function evaluar(x: NReal) : NReal;
begin
  Result := (x.**2 - 4).**2/8 - 1;
end;



end.

